From d21286a370729771f62af5efa4b352c1418ffae2 Mon Sep 17 00:00:00 2001
From: Akash Mehrotra <mehrotra.akash@gmail.com>
Date: Sat, 13 Aug 2011 21:02:06 +0530
Subject: [PATCH 10/13] httprequests.lua -- formatting fix

---
 share/lua/http/requests/README.txt      |    1 -
 share/lua/intf/modules/httprequests.lua |    8 +++++---
 2 files changed, 5 insertions(+), 4 deletions(-)

diff --git a/share/lua/http/requests/README.txt b/share/lua/http/requests/README.txt
index 9417597..e2f99e4 100644
--- a/share/lua/http/requests/README.txt
+++ b/share/lua/http/requests/README.txt
@@ -128,7 +128,6 @@ Band 0: 60 Hz, 1: 170 Hz, 2: 310 Hz, 3: 600 Hz, 4: 1 kHz,
 
 <Display the list of presets available for the equalizer
 
-=======
 playlist.xml:
 =============
 < get the full playlist tree
diff --git a/share/lua/intf/modules/httprequests.lua b/share/lua/intf/modules/httprequests.lua
index 00e26d3..9954a1c 100644
--- a/share/lua/intf/modules/httprequests.lua
+++ b/share/lua/intf/modules/httprequests.lua
@@ -374,6 +374,7 @@ local aout = vlc.object.aout()
 		s.rate=1
 		s.subtitledelay=0
 	end
+
 	if vout then
 		s.fullscreen=vlc.var.get(vout,"fullscreen")
 		s.aspectratio=vlc.var.get(vout,"aspect-ratio");
@@ -381,6 +382,7 @@ local aout = vlc.object.aout()
 	else
 		s.fullscreen=0
 	end
+
 	if aout then
 		local filters=vlc.var.get(aout,"audio-filter")
 		local temp=strsplit(filters,":")
@@ -391,16 +393,19 @@ local aout = vlc.object.aout()
 			id=id+1
 		end
 	end
+
 	s.videoeffects={}
 		s.videoeffects.hue=round(vlc.config.get("hue"),2)
 		s.videoeffects.brightness=round(vlc.config.get("brightness"),2)
 		s.videoeffects.contrast=round(vlc.config.get("contrast"),2)
 		s.videoeffects.saturation=round(vlc.config.get("saturation"),2)
 		s.videoeffects.gamma=round(vlc.config.get("gamma"),2)
+
 	s.state=vlc.playlist.status()
 	s.random=vlc.var.get(playlist,"random")
 	s.loop=vlc.var.get(playlist,"loop")
 	s["repeat"]=vlc.var.get(playlist,"repeat")
+
         s.equalizer={}
 		s.equalizer.preamp=round(vlc.equalizer.preampget(),2)
 		s.equalizer.bands=vlc.equalizer.equalizerget()
@@ -432,10 +437,7 @@ local aout = vlc.object.aout()
         	local tag = string.gsub(k,"_","")
         s.stats[tag]=xmlString(v)
       end
-		
-		
 	end
-
 	return s
 end
 
-- 
1.7.4.1

